%define version 0.4.4
%define rel 5
# Nanar: I use this to not change version during cooker freeze
# don't touch
%define fixedrel 1

%if %fixedrel
%define tarver %version-%rel
%else
%define tarver %version
%endif

Summary: A tools to help to setup urpmi when using mirror.
Name:    urpmi.setup
Version: %{version}
Release: %{rel}mdk
Source:  %name-%tarver.tar.bz2
License: GPL
Group:   System/Configuration/Packaging
Url:     http://nanardon.homelinux.org/urpmi.setup/
BuildRoot: %_tmppath/%{name}-buildroot
BuildArch: noarch
BuildRequires: gettext
Obsoletes: urpmi.mirror
Provides: urpmi.mirror
Requires: perl-libwww-perl
Requires: drakxtools-newt
Requires: perl-URPM

%description
This tools helps user to setup urpmi to use a mirror.

This is a perl script to help you to setup urpmi.
First it looks at your system, find your Mandrakelinux version 
and architecture, then it retrieves by http a list of mirrors. 
For each type of repository, it asks you which mirror you want to use.

A default url is set in /etc/urpmi/mirror.config, but you can use another one.

A second package contains all web components to make your own list of mirrors.
You can also find a web page that provides the urpmi.addmedia commands.

At that time, you can get a look at it at 
http://www.urpmi.org/easyurpmi/index.php.

%package -n %name-web
Summary: A tool to help to setup a urpmi ftp mirror
Group: System/Configuration/Packaging
Requires: mod_php >= 4
BuildArch: noarch
Obsoletes: urpmi.mirror-web
Provides: urpmi.mirror-web

%description -n %name-web
This package is the web page (written in php) to setup 
your own list of mirror. It contains also a dynamic
page to give proper urpmi.addmedia command.

%prep
%setup -q -n %{name}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/urpmi.setup
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/urpmi/mirror.config
%doc docs/README docs/AUTHORS

%files -n %name-web
%defattr(-,root,root)
/var/www/html/*.php
/var/www/html/*.inc
/var/www/html/*.css
%dir /var/www/html/mirror.list
%config /var/www/html/mirror.list/*
%doc docs/README.web docs/AUTHORS format.txt

%changelog

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 0.4.4-5mdk
- remove forbidden word
- enhance description

* Mon Mar 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.4-4mdk
- fix undefined _ function

* Tue Mar 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.4-3mdk
- update translation

* Sun Mar 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.4-2mdk
- add sk translation (Thanks Tibor)
- some add-ons / clean-up

* Wed Feb 19 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.4-1mdk
- 0.4.4
- now only mdk support source are show (main, contrib updates), 
  add allsources=1 on /etc/urpmi/urpmi.mirror or use --allsources to have all

* Tue Feb 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.3-1mdk
- 0.4.3
- add motd function (sebd)
- show url when ask to update urpmi db
- fix translation encoding (pterjan)

* Mon Feb 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.2-1mdk
- 0.4.2
- Fix list_media

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.1-1mdk
- 0.4.1
- add multi-mirror suport

* Fri Dec 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.0-1mdk
- 0.4.0

* Mon Dec 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.9e-1mdk
- french translation
- make difference between protocol for a same server (http/ftp/rsync)
- add manually media
- perlification by dams and fpons (Thanks, should be better now :)

* Wed Nov 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.9d-1mdk
- 0.3.9d
- fix permission on config files

* Mon Nov 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.9c-1mdk
- 0.3.9c (prerelease)
	- use proxy
	- can update urpmi base
	- optimise some functions
	- can work from command line
	- can go directly on a specific function
	- can only list available source
	- config dialog box
	
* Tue Nov 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.9b-1mdk
- 0.3.9b (prerelease)
	- fix cleanup after removing source
	- cleanup code
- Add %%doc AUTHORS

* Mon Nov 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.9a-1mdk
- 0.3.9a (prerelease)
	- use urpm
	- can remove source now
	- begin translation
- fix html location

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.3-1mdk
- 0.3.3 (use standalone)
- fix some dialog box

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-1mdk
- 0.3.2
	- urpmi.setup ask root passwd
	- update mirror list
- Fix english desc (Cedric Thevenet)

* Thu Oct 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.1-1mdk
- fix some bug
- mirror are now sort by location
- update mirror list

* Wed Oct 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-3mdk
- fix place for mirror.config

* Wed Oct 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-2mdk
- remove useless prefix
- sanitize header
- requires perl-libwww-perl

* Wed Oct 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-1mdk
- 0.3
- urpmi.setup now use interactive
- add source description support
- update mirror list
- urpmiweb: have macro to create list
- urpmiweb: separate source choice/urpmi command
- urpmiweb: checkbox to unselect source (thx sebd)

* Mon Oct 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-1mdk
- Rename this tools (urpmi.setup)

* Thu Oct 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-1mdk
- 1st mdk package
